// Code generated by Thrift Compiler (0.21.0). DO NOT EDIT.

package collector_payload

import (
	"bytes"
	"context"
	"errors"
	"fmt"
	"log/slog"
	"time"
	thrift "github.com/apache/thrift/lib/go/thrift"
	"strings"
	"regexp"
)

// (needed to ensure safety because of naive import list construction.)
var _ = bytes.Equal
var _ = context.Background
var _ = errors.New
var _ = fmt.Printf
var _ = slog.Log
var _ = time.Now
var _ = thrift.ZERO
// (needed by validator.)
var _ = strings.Contains
var _ = regexp.MatchString

// Attributes:
//  - Schema
//  - Querystring
//  - Collector
//  - Encoding
//  - Hostname
//  - Timestamp
//  - IpAddress
//  - UserAgent
//  - RefererUri
//  - Headers
//  - NetworkUserId
//  - Path
//  - ContentType
//  - Body
// 
type CollectorPayload struct {
	// unused fields # 1 to 9
	Querystring *string `thrift:"querystring,10" db:"querystring" json:"querystring,omitempty"`
	// unused fields # 11 to 19
	Collector string `thrift:"collector,20" db:"collector" json:"collector"`
	// unused fields # 21 to 29
	Encoding string `thrift:"encoding,30" db:"encoding" json:"encoding"`
	// unused fields # 31 to 39
	Hostname *string `thrift:"hostname,40" db:"hostname" json:"hostname,omitempty"`
	// unused fields # 41 to 49
	Timestamp int64 `thrift:"timestamp,50" db:"timestamp" json:"timestamp"`
	// unused fields # 51 to 59
	IpAddress string `thrift:"ipAddress,60" db:"ipAddress" json:"ipAddress"`
	// unused fields # 61 to 69
	UserAgent *string `thrift:"userAgent,70" db:"userAgent" json:"userAgent,omitempty"`
	// unused fields # 71 to 79
	RefererUri *string `thrift:"refererUri,80" db:"refererUri" json:"refererUri,omitempty"`
	// unused fields # 81 to 89
	Headers []string `thrift:"headers,90" db:"headers" json:"headers,omitempty"`
	// unused fields # 91 to 99
	NetworkUserId *string `thrift:"networkUserId,100" db:"networkUserId" json:"networkUserId,omitempty"`
	// unused fields # 101 to 109
	Path string `thrift:"path,110" db:"path" json:"path"`
	// unused fields # 111 to 119
	ContentType *string `thrift:"contentType,120" db:"contentType" json:"contentType,omitempty"`
	// unused fields # 121 to 129
	Body *string `thrift:"body,130" db:"body" json:"body,omitempty"`
	// unused fields # 131 to 31336
	Schema string `thrift:"schema,31337" db:"schema" json:"schema"`
}

func NewCollectorPayload() *CollectorPayload {
	return &CollectorPayload{}
}



func (p *CollectorPayload) GetSchema() string {
	return p.Schema
}

var CollectorPayload_Querystring_DEFAULT string

func (p *CollectorPayload) GetQuerystring() string {
	if !p.IsSetQuerystring() {
		return CollectorPayload_Querystring_DEFAULT
	}
	return *p.Querystring
}



func (p *CollectorPayload) GetCollector() string {
	return p.Collector
}



func (p *CollectorPayload) GetEncoding() string {
	return p.Encoding
}

var CollectorPayload_Hostname_DEFAULT string

func (p *CollectorPayload) GetHostname() string {
	if !p.IsSetHostname() {
		return CollectorPayload_Hostname_DEFAULT
	}
	return *p.Hostname
}



func (p *CollectorPayload) GetTimestamp() int64 {
	return p.Timestamp
}



func (p *CollectorPayload) GetIpAddress() string {
	return p.IpAddress
}

var CollectorPayload_UserAgent_DEFAULT string

func (p *CollectorPayload) GetUserAgent() string {
	if !p.IsSetUserAgent() {
		return CollectorPayload_UserAgent_DEFAULT
	}
	return *p.UserAgent
}

var CollectorPayload_RefererUri_DEFAULT string

func (p *CollectorPayload) GetRefererUri() string {
	if !p.IsSetRefererUri() {
		return CollectorPayload_RefererUri_DEFAULT
	}
	return *p.RefererUri
}

var CollectorPayload_Headers_DEFAULT []string


func (p *CollectorPayload) GetHeaders() []string {
	return p.Headers
}

var CollectorPayload_NetworkUserId_DEFAULT string

func (p *CollectorPayload) GetNetworkUserId() string {
	if !p.IsSetNetworkUserId() {
		return CollectorPayload_NetworkUserId_DEFAULT
	}
	return *p.NetworkUserId
}



func (p *CollectorPayload) GetPath() string {
	return p.Path
}

var CollectorPayload_ContentType_DEFAULT string

func (p *CollectorPayload) GetContentType() string {
	if !p.IsSetContentType() {
		return CollectorPayload_ContentType_DEFAULT
	}
	return *p.ContentType
}

var CollectorPayload_Body_DEFAULT string

func (p *CollectorPayload) GetBody() string {
	if !p.IsSetBody() {
		return CollectorPayload_Body_DEFAULT
	}
	return *p.Body
}

func (p *CollectorPayload) IsSetQuerystring() bool {
	return p.Querystring != nil
}

func (p *CollectorPayload) IsSetHostname() bool {
	return p.Hostname != nil
}

func (p *CollectorPayload) IsSetUserAgent() bool {
	return p.UserAgent != nil
}

func (p *CollectorPayload) IsSetRefererUri() bool {
	return p.RefererUri != nil
}

func (p *CollectorPayload) IsSetHeaders() bool {
	return p.Headers != nil
}

func (p *CollectorPayload) IsSetNetworkUserId() bool {
	return p.NetworkUserId != nil
}

func (p *CollectorPayload) IsSetContentType() bool {
	return p.ContentType != nil
}

func (p *CollectorPayload) IsSetBody() bool {
	return p.Body != nil
}

func (p *CollectorPayload) Read(ctx context.Context, iprot thrift.TProtocol) error {
	if _, err := iprot.ReadStructBegin(ctx); err != nil {
		return thrift.PrependError(fmt.Sprintf("%T read error: ", p), err)
	}


	for {
		_, fieldTypeId, fieldId, err := iprot.ReadFieldBegin(ctx)
		if err != nil {
			return thrift.PrependError(fmt.Sprintf("%T field %d read error: ", p, fieldId), err)
		}
		if fieldTypeId == thrift.STOP {
			break
		}
		switch fieldId {
		case 31337:
			if fieldTypeId == thrift.STRING {
				if err := p.ReadField31337(ctx, iprot); err != nil {
					return err
				}
			} else {
				if err := iprot.Skip(ctx, fieldTypeId); err != nil {
					return err
				}
			}
		case 10:
			if fieldTypeId == thrift.STRING {
				if err := p.ReadField10(ctx, iprot); err != nil {
					return err
				}
			} else {
				if err := iprot.Skip(ctx, fieldTypeId); err != nil {
					return err
				}
			}
		case 20:
			if fieldTypeId == thrift.STRING {
				if err := p.ReadField20(ctx, iprot); err != nil {
					return err
				}
			} else {
				if err := iprot.Skip(ctx, fieldTypeId); err != nil {
					return err
				}
			}
		case 30:
			if fieldTypeId == thrift.STRING {
				if err := p.ReadField30(ctx, iprot); err != nil {
					return err
				}
			} else {
				if err := iprot.Skip(ctx, fieldTypeId); err != nil {
					return err
				}
			}
		case 40:
			if fieldTypeId == thrift.STRING {
				if err := p.ReadField40(ctx, iprot); err != nil {
					return err
				}
			} else {
				if err := iprot.Skip(ctx, fieldTypeId); err != nil {
					return err
				}
			}
		case 50:
			if fieldTypeId == thrift.I64 {
				if err := p.ReadField50(ctx, iprot); err != nil {
					return err
				}
			} else {
				if err := iprot.Skip(ctx, fieldTypeId); err != nil {
					return err
				}
			}
		case 60:
			if fieldTypeId == thrift.STRING {
				if err := p.ReadField60(ctx, iprot); err != nil {
					return err
				}
			} else {
				if err := iprot.Skip(ctx, fieldTypeId); err != nil {
					return err
				}
			}
		case 70:
			if fieldTypeId == thrift.STRING {
				if err := p.ReadField70(ctx, iprot); err != nil {
					return err
				}
			} else {
				if err := iprot.Skip(ctx, fieldTypeId); err != nil {
					return err
				}
			}
		case 80:
			if fieldTypeId == thrift.STRING {
				if err := p.ReadField80(ctx, iprot); err != nil {
					return err
				}
			} else {
				if err := iprot.Skip(ctx, fieldTypeId); err != nil {
					return err
				}
			}
		case 90:
			if fieldTypeId == thrift.LIST {
				if err := p.ReadField90(ctx, iprot); err != nil {
					return err
				}
			} else {
				if err := iprot.Skip(ctx, fieldTypeId); err != nil {
					return err
				}
			}
		case 100:
			if fieldTypeId == thrift.STRING {
				if err := p.ReadField100(ctx, iprot); err != nil {
					return err
				}
			} else {
				if err := iprot.Skip(ctx, fieldTypeId); err != nil {
					return err
				}
			}
		case 110:
			if fieldTypeId == thrift.STRING {
				if err := p.ReadField110(ctx, iprot); err != nil {
					return err
				}
			} else {
				if err := iprot.Skip(ctx, fieldTypeId); err != nil {
					return err
				}
			}
		case 120:
			if fieldTypeId == thrift.STRING {
				if err := p.ReadField120(ctx, iprot); err != nil {
					return err
				}
			} else {
				if err := iprot.Skip(ctx, fieldTypeId); err != nil {
					return err
				}
			}
		case 130:
			if fieldTypeId == thrift.STRING {
				if err := p.ReadField130(ctx, iprot); err != nil {
					return err
				}
			} else {
				if err := iprot.Skip(ctx, fieldTypeId); err != nil {
					return err
				}
			}
		default:
			if err := iprot.Skip(ctx, fieldTypeId); err != nil {
				return err
			}
		}
		if err := iprot.ReadFieldEnd(ctx); err != nil {
			return err
		}
	}
	if err := iprot.ReadStructEnd(ctx); err != nil {
		return thrift.PrependError(fmt.Sprintf("%T read struct end error: ", p), err)
	}
	return nil
}

func (p *CollectorPayload) ReadField31337(ctx context.Context, iprot thrift.TProtocol) error {
	if v, err := iprot.ReadString(ctx); err != nil {
		return thrift.PrependError("error reading field 31337: ", err)
	} else {
		p.Schema = v
	}
	return nil
}

func (p *CollectorPayload) ReadField10(ctx context.Context, iprot thrift.TProtocol) error {
	if v, err := iprot.ReadString(ctx); err != nil {
		return thrift.PrependError("error reading field 10: ", err)
	} else {
		p.Querystring = &v
	}
	return nil
}

func (p *CollectorPayload) ReadField20(ctx context.Context, iprot thrift.TProtocol) error {
	if v, err := iprot.ReadString(ctx); err != nil {
		return thrift.PrependError("error reading field 20: ", err)
	} else {
		p.Collector = v
	}
	return nil
}

func (p *CollectorPayload) ReadField30(ctx context.Context, iprot thrift.TProtocol) error {
	if v, err := iprot.ReadString(ctx); err != nil {
		return thrift.PrependError("error reading field 30: ", err)
	} else {
		p.Encoding = v
	}
	return nil
}

func (p *CollectorPayload) ReadField40(ctx context.Context, iprot thrift.TProtocol) error {
	if v, err := iprot.ReadString(ctx); err != nil {
		return thrift.PrependError("error reading field 40: ", err)
	} else {
		p.Hostname = &v
	}
	return nil
}

func (p *CollectorPayload) ReadField50(ctx context.Context, iprot thrift.TProtocol) error {
	if v, err := iprot.ReadI64(ctx); err != nil {
		return thrift.PrependError("error reading field 50: ", err)
	} else {
		p.Timestamp = v
	}
	return nil
}

func (p *CollectorPayload) ReadField60(ctx context.Context, iprot thrift.TProtocol) error {
	if v, err := iprot.ReadString(ctx); err != nil {
		return thrift.PrependError("error reading field 60: ", err)
	} else {
		p.IpAddress = v
	}
	return nil
}

func (p *CollectorPayload) ReadField70(ctx context.Context, iprot thrift.TProtocol) error {
	if v, err := iprot.ReadString(ctx); err != nil {
		return thrift.PrependError("error reading field 70: ", err)
	} else {
		p.UserAgent = &v
	}
	return nil
}

func (p *CollectorPayload) ReadField80(ctx context.Context, iprot thrift.TProtocol) error {
	if v, err := iprot.ReadString(ctx); err != nil {
		return thrift.PrependError("error reading field 80: ", err)
	} else {
		p.RefererUri = &v
	}
	return nil
}

func (p *CollectorPayload) ReadField90(ctx context.Context, iprot thrift.TProtocol) error {
	_, size, err := iprot.ReadListBegin(ctx)
	if err != nil {
		return thrift.PrependError("error reading list begin: ", err)
	}
	tSlice := make([]string, 0, size)
	p.Headers = tSlice
	for i := 0; i < size; i++ {
		var _elem0 string
		if v, err := iprot.ReadString(ctx); err != nil {
			return thrift.PrependError("error reading field 0: ", err)
		} else {
			_elem0 = v
		}
		p.Headers = append(p.Headers, _elem0)
	}
	if err := iprot.ReadListEnd(ctx); err != nil {
		return thrift.PrependError("error reading list end: ", err)
	}
	return nil
}

func (p *CollectorPayload) ReadField100(ctx context.Context, iprot thrift.TProtocol) error {
	if v, err := iprot.ReadString(ctx); err != nil {
		return thrift.PrependError("error reading field 100: ", err)
	} else {
		p.NetworkUserId = &v
	}
	return nil
}

func (p *CollectorPayload) ReadField110(ctx context.Context, iprot thrift.TProtocol) error {
	if v, err := iprot.ReadString(ctx); err != nil {
		return thrift.PrependError("error reading field 110: ", err)
	} else {
		p.Path = v
	}
	return nil
}

func (p *CollectorPayload) ReadField120(ctx context.Context, iprot thrift.TProtocol) error {
	if v, err := iprot.ReadString(ctx); err != nil {
		return thrift.PrependError("error reading field 120: ", err)
	} else {
		p.ContentType = &v
	}
	return nil
}

func (p *CollectorPayload) ReadField130(ctx context.Context, iprot thrift.TProtocol) error {
	if v, err := iprot.ReadString(ctx); err != nil {
		return thrift.PrependError("error reading field 130: ", err)
	} else {
		p.Body = &v
	}
	return nil
}

func (p *CollectorPayload) Write(ctx context.Context, oprot thrift.TProtocol) error {
	if err := oprot.WriteStructBegin(ctx, "CollectorPayload"); err != nil {
		return thrift.PrependError(fmt.Sprintf("%T write struct begin error: ", p), err)
	}
	if p != nil {
		if err := p.writeField10(ctx, oprot); err != nil { return err }
		if err := p.writeField20(ctx, oprot); err != nil { return err }
		if err := p.writeField30(ctx, oprot); err != nil { return err }
		if err := p.writeField40(ctx, oprot); err != nil { return err }
		if err := p.writeField50(ctx, oprot); err != nil { return err }
		if err := p.writeField60(ctx, oprot); err != nil { return err }
		if err := p.writeField70(ctx, oprot); err != nil { return err }
		if err := p.writeField80(ctx, oprot); err != nil { return err }
		if err := p.writeField90(ctx, oprot); err != nil { return err }
		if err := p.writeField100(ctx, oprot); err != nil { return err }
		if err := p.writeField110(ctx, oprot); err != nil { return err }
		if err := p.writeField120(ctx, oprot); err != nil { return err }
		if err := p.writeField130(ctx, oprot); err != nil { return err }
		if err := p.writeField31337(ctx, oprot); err != nil { return err }
	}
	if err := oprot.WriteFieldStop(ctx); err != nil {
		return thrift.PrependError("write field stop error: ", err)
	}
	if err := oprot.WriteStructEnd(ctx); err != nil {
		return thrift.PrependError("write struct stop error: ", err)
	}
	return nil
}

func (p *CollectorPayload) writeField10(ctx context.Context, oprot thrift.TProtocol) (err error) {
	if p.IsSetQuerystring() {
		if err := oprot.WriteFieldBegin(ctx, "querystring", thrift.STRING, 10); err != nil {
			return thrift.PrependError(fmt.Sprintf("%T write field begin error 10:querystring: ", p), err)
		}
		if err := oprot.WriteString(ctx, string(*p.Querystring)); err != nil {
			return thrift.PrependError(fmt.Sprintf("%T.querystring (10) field write error: ", p), err)
		}
		if err := oprot.WriteFieldEnd(ctx); err != nil {
			return thrift.PrependError(fmt.Sprintf("%T write field end error 10:querystring: ", p), err)
		}
	}
	return err
}

func (p *CollectorPayload) writeField20(ctx context.Context, oprot thrift.TProtocol) (err error) {
	if err := oprot.WriteFieldBegin(ctx, "collector", thrift.STRING, 20); err != nil {
		return thrift.PrependError(fmt.Sprintf("%T write field begin error 20:collector: ", p), err)
	}
	if err := oprot.WriteString(ctx, string(p.Collector)); err != nil {
		return thrift.PrependError(fmt.Sprintf("%T.collector (20) field write error: ", p), err)
	}
	if err := oprot.WriteFieldEnd(ctx); err != nil {
		return thrift.PrependError(fmt.Sprintf("%T write field end error 20:collector: ", p), err)
	}
	return err
}

func (p *CollectorPayload) writeField30(ctx context.Context, oprot thrift.TProtocol) (err error) {
	if err := oprot.WriteFieldBegin(ctx, "encoding", thrift.STRING, 30); err != nil {
		return thrift.PrependError(fmt.Sprintf("%T write field begin error 30:encoding: ", p), err)
	}
	if err := oprot.WriteString(ctx, string(p.Encoding)); err != nil {
		return thrift.PrependError(fmt.Sprintf("%T.encoding (30) field write error: ", p), err)
	}
	if err := oprot.WriteFieldEnd(ctx); err != nil {
		return thrift.PrependError(fmt.Sprintf("%T write field end error 30:encoding: ", p), err)
	}
	return err
}

func (p *CollectorPayload) writeField40(ctx context.Context, oprot thrift.TProtocol) (err error) {
	if p.IsSetHostname() {
		if err := oprot.WriteFieldBegin(ctx, "hostname", thrift.STRING, 40); err != nil {
			return thrift.PrependError(fmt.Sprintf("%T write field begin error 40:hostname: ", p), err)
		}
		if err := oprot.WriteString(ctx, string(*p.Hostname)); err != nil {
			return thrift.PrependError(fmt.Sprintf("%T.hostname (40) field write error: ", p), err)
		}
		if err := oprot.WriteFieldEnd(ctx); err != nil {
			return thrift.PrependError(fmt.Sprintf("%T write field end error 40:hostname: ", p), err)
		}
	}
	return err
}

func (p *CollectorPayload) writeField50(ctx context.Context, oprot thrift.TProtocol) (err error) {
	if err := oprot.WriteFieldBegin(ctx, "timestamp", thrift.I64, 50); err != nil {
		return thrift.PrependError(fmt.Sprintf("%T write field begin error 50:timestamp: ", p), err)
	}
	if err := oprot.WriteI64(ctx, int64(p.Timestamp)); err != nil {
		return thrift.PrependError(fmt.Sprintf("%T.timestamp (50) field write error: ", p), err)
	}
	if err := oprot.WriteFieldEnd(ctx); err != nil {
		return thrift.PrependError(fmt.Sprintf("%T write field end error 50:timestamp: ", p), err)
	}
	return err
}

func (p *CollectorPayload) writeField60(ctx context.Context, oprot thrift.TProtocol) (err error) {
	if err := oprot.WriteFieldBegin(ctx, "ipAddress", thrift.STRING, 60); err != nil {
		return thrift.PrependError(fmt.Sprintf("%T write field begin error 60:ipAddress: ", p), err)
	}
	if err := oprot.WriteString(ctx, string(p.IpAddress)); err != nil {
		return thrift.PrependError(fmt.Sprintf("%T.ipAddress (60) field write error: ", p), err)
	}
	if err := oprot.WriteFieldEnd(ctx); err != nil {
		return thrift.PrependError(fmt.Sprintf("%T write field end error 60:ipAddress: ", p), err)
	}
	return err
}

func (p *CollectorPayload) writeField70(ctx context.Context, oprot thrift.TProtocol) (err error) {
	if p.IsSetUserAgent() {
		if err := oprot.WriteFieldBegin(ctx, "userAgent", thrift.STRING, 70); err != nil {
			return thrift.PrependError(fmt.Sprintf("%T write field begin error 70:userAgent: ", p), err)
		}
		if err := oprot.WriteString(ctx, string(*p.UserAgent)); err != nil {
			return thrift.PrependError(fmt.Sprintf("%T.userAgent (70) field write error: ", p), err)
		}
		if err := oprot.WriteFieldEnd(ctx); err != nil {
			return thrift.PrependError(fmt.Sprintf("%T write field end error 70:userAgent: ", p), err)
		}
	}
	return err
}

func (p *CollectorPayload) writeField80(ctx context.Context, oprot thrift.TProtocol) (err error) {
	if p.IsSetRefererUri() {
		if err := oprot.WriteFieldBegin(ctx, "refererUri", thrift.STRING, 80); err != nil {
			return thrift.PrependError(fmt.Sprintf("%T write field begin error 80:refererUri: ", p), err)
		}
		if err := oprot.WriteString(ctx, string(*p.RefererUri)); err != nil {
			return thrift.PrependError(fmt.Sprintf("%T.refererUri (80) field write error: ", p), err)
		}
		if err := oprot.WriteFieldEnd(ctx); err != nil {
			return thrift.PrependError(fmt.Sprintf("%T write field end error 80:refererUri: ", p), err)
		}
	}
	return err
}

func (p *CollectorPayload) writeField90(ctx context.Context, oprot thrift.TProtocol) (err error) {
	if p.IsSetHeaders() {
		if err := oprot.WriteFieldBegin(ctx, "headers", thrift.LIST, 90); err != nil {
			return thrift.PrependError(fmt.Sprintf("%T write field begin error 90:headers: ", p), err)
		}
		if err := oprot.WriteListBegin(ctx, thrift.STRING, len(p.Headers)); err != nil {
			return thrift.PrependError("error writing list begin: ", err)
		}
		for _, v := range p.Headers {
			if err := oprot.WriteString(ctx, string(v)); err != nil {
				return thrift.PrependError(fmt.Sprintf("%T. (0) field write error: ", p), err)
			}
		}
		if err := oprot.WriteListEnd(ctx); err != nil {
			return thrift.PrependError("error writing list end: ", err)
		}
		if err := oprot.WriteFieldEnd(ctx); err != nil {
			return thrift.PrependError(fmt.Sprintf("%T write field end error 90:headers: ", p), err)
		}
	}
	return err
}

func (p *CollectorPayload) writeField100(ctx context.Context, oprot thrift.TProtocol) (err error) {
	if p.IsSetNetworkUserId() {
		if err := oprot.WriteFieldBegin(ctx, "networkUserId", thrift.STRING, 100); err != nil {
			return thrift.PrependError(fmt.Sprintf("%T write field begin error 100:networkUserId: ", p), err)
		}
		if err := oprot.WriteString(ctx, string(*p.NetworkUserId)); err != nil {
			return thrift.PrependError(fmt.Sprintf("%T.networkUserId (100) field write error: ", p), err)
		}
		if err := oprot.WriteFieldEnd(ctx); err != nil {
			return thrift.PrependError(fmt.Sprintf("%T write field end error 100:networkUserId: ", p), err)
		}
	}
	return err
}

func (p *CollectorPayload) writeField110(ctx context.Context, oprot thrift.TProtocol) (err error) {
	if err := oprot.WriteFieldBegin(ctx, "path", thrift.STRING, 110); err != nil {
		return thrift.PrependError(fmt.Sprintf("%T write field begin error 110:path: ", p), err)
	}
	if err := oprot.WriteString(ctx, string(p.Path)); err != nil {
		return thrift.PrependError(fmt.Sprintf("%T.path (110) field write error: ", p), err)
	}
	if err := oprot.WriteFieldEnd(ctx); err != nil {
		return thrift.PrependError(fmt.Sprintf("%T write field end error 110:path: ", p), err)
	}
	return err
}

func (p *CollectorPayload) writeField120(ctx context.Context, oprot thrift.TProtocol) (err error) {
	if p.IsSetContentType() {
		if err := oprot.WriteFieldBegin(ctx, "contentType", thrift.STRING, 120); err != nil {
			return thrift.PrependError(fmt.Sprintf("%T write field begin error 120:contentType: ", p), err)
		}
		if err := oprot.WriteString(ctx, string(*p.ContentType)); err != nil {
			return thrift.PrependError(fmt.Sprintf("%T.contentType (120) field write error: ", p), err)
		}
		if err := oprot.WriteFieldEnd(ctx); err != nil {
			return thrift.PrependError(fmt.Sprintf("%T write field end error 120:contentType: ", p), err)
		}
	}
	return err
}

func (p *CollectorPayload) writeField130(ctx context.Context, oprot thrift.TProtocol) (err error) {
	if p.IsSetBody() {
		if err := oprot.WriteFieldBegin(ctx, "body", thrift.STRING, 130); err != nil {
			return thrift.PrependError(fmt.Sprintf("%T write field begin error 130:body: ", p), err)
		}
		if err := oprot.WriteString(ctx, string(*p.Body)); err != nil {
			return thrift.PrependError(fmt.Sprintf("%T.body (130) field write error: ", p), err)
		}
		if err := oprot.WriteFieldEnd(ctx); err != nil {
			return thrift.PrependError(fmt.Sprintf("%T write field end error 130:body: ", p), err)
		}
	}
	return err
}

func (p *CollectorPayload) writeField31337(ctx context.Context, oprot thrift.TProtocol) (err error) {
	if err := oprot.WriteFieldBegin(ctx, "schema", thrift.STRING, 31337); err != nil {
		return thrift.PrependError(fmt.Sprintf("%T write field begin error 31337:schema: ", p), err)
	}
	if err := oprot.WriteString(ctx, string(p.Schema)); err != nil {
		return thrift.PrependError(fmt.Sprintf("%T.schema (31337) field write error: ", p), err)
	}
	if err := oprot.WriteFieldEnd(ctx); err != nil {
		return thrift.PrependError(fmt.Sprintf("%T write field end error 31337:schema: ", p), err)
	}
	return err
}

func (p *CollectorPayload) Equals(other *CollectorPayload) bool {
	if p == other {
		return true
	} else if p == nil || other == nil {
		return false
	}
	if p.Querystring != other.Querystring {
		if p.Querystring == nil || other.Querystring == nil {
			return false
		}
		if (*p.Querystring) != (*other.Querystring) { return false }
	}
	if p.Collector != other.Collector { return false }
	if p.Encoding != other.Encoding { return false }
	if p.Hostname != other.Hostname {
		if p.Hostname == nil || other.Hostname == nil {
			return false
		}
		if (*p.Hostname) != (*other.Hostname) { return false }
	}
	if p.Timestamp != other.Timestamp { return false }
	if p.IpAddress != other.IpAddress { return false }
	if p.UserAgent != other.UserAgent {
		if p.UserAgent == nil || other.UserAgent == nil {
			return false
		}
		if (*p.UserAgent) != (*other.UserAgent) { return false }
	}
	if p.RefererUri != other.RefererUri {
		if p.RefererUri == nil || other.RefererUri == nil {
			return false
		}
		if (*p.RefererUri) != (*other.RefererUri) { return false }
	}
	if len(p.Headers) != len(other.Headers) { return false }
	for i, _tgt := range p.Headers {
		_src1 := other.Headers[i]
		if _tgt != _src1 { return false }
	}
	if p.NetworkUserId != other.NetworkUserId {
		if p.NetworkUserId == nil || other.NetworkUserId == nil {
			return false
		}
		if (*p.NetworkUserId) != (*other.NetworkUserId) { return false }
	}
	if p.Path != other.Path { return false }
	if p.ContentType != other.ContentType {
		if p.ContentType == nil || other.ContentType == nil {
			return false
		}
		if (*p.ContentType) != (*other.ContentType) { return false }
	}
	if p.Body != other.Body {
		if p.Body == nil || other.Body == nil {
			return false
		}
		if (*p.Body) != (*other.Body) { return false }
	}
	if p.Schema != other.Schema { return false }
	return true
}

func (p *CollectorPayload) String() string {
	if p == nil {
		return "<nil>"
	}
	return fmt.Sprintf("CollectorPayload(%+v)", *p)
}

func (p *CollectorPayload) LogValue() slog.Value {
	if p == nil {
		return slog.AnyValue(nil)
	}
	v := thrift.SlogTStructWrapper{
		Type: "*collector_payload.CollectorPayload",
		Value: p,
	}
	return slog.AnyValue(v)
}

var _ slog.LogValuer = (*CollectorPayload)(nil)

func (p *CollectorPayload) Validate() error {
	return nil
}

